Support Questions
Find answers, ask questions, and share your expertise

Not able to install CDH earlier version (5.1.0) manually

Solved Go to solution
Highlighted

Not able to install CDH earlier version (5.1.0) manually

New Contributor

Hi,

 

I am trying to install CDH5.1.0 manually in one of our new node,  as other nodes are working with 5.1.0 in our cluster.

 

 

I followed steps mentioned in below link to install 5.1.0-

 

The cloudera.list file in /etc/apt/sources.list.d/ has below contents- 

# Packages for Cloudera's Distribution for Hadoop, Version 5, on Ubuntu 12.04 amd64       
deb [arch=amd64] http://archive.cloudera.com/cdh5/ubuntu/precise/amd64/cdh precise-cdh5.1.0 contrib
deb-src http://archive.cloudera.com/cdh5/ubuntu/precise/amd64/cdh precise-cdh5.1.0 contrib

 

I executed below two commands-

sudo apt-get update
sudo apt-get install hadoop-yarn-resourcemanager

 

 It created hadoop and hadoop-yarn direcories in /usr/lib/ with following contents-

/usr/lib$ ls hadoop/
bin                                       hadoop-annotations.jar             hadoop-common-2.4.0.2.1.3.0-563.jar        hadoop-nfs-2.4.0.2.1.3.0-563.jar  libexec
etc                                       hadoop-auth-2.4.0.2.1.3.0-563.jar  hadoop-common-2.4.0.2.1.3.0-563-tests.jar  hadoop-nfs.jar                    sbin
hadoop-annotations-2.4.0.2.1.3.0-563.jar  hadoop-auth.jar                    hadoop-common.jar                          lib

/usr/lib$ ls hadoop-yarn/
bin hadoop-yarn-server-applicationhistoryservice.jar
etc hadoop-yarn-server-common-2.4.0.2.1.3.0-563.jar
hadoop-yarn-api-2.4.0.2.1.3.0-563.jar hadoop-yarn-server-common.jar
hadoop-yarn-api.jar hadoop-yarn-server-nodemanager-2.4.0.2.1.3.0-563.jar
hadoop-yarn-applications-distributedshell-2.4.0.2.1.3.0-563.jar hadoop-yarn-server-nodemanager.jar
hadoop-yarn-applications-distributedshell.jar hadoop-yarn-server-resourcemanager-2.4.0.2.1.3.0-563.jar
hadoop-yarn-applications-unmanaged-am-launcher-2.4.0.2.1.3.0-563.jar hadoop-yarn-server-resourcemanager.jar
hadoop-yarn-applications-unmanaged-am-launcher.jar hadoop-yarn-server-tests-2.4.0.2.1.3.0-563.jar
hadoop-yarn-client-2.4.0.2.1.3.0-563.jar hadoop-yarn-server-tests.jar
hadoop-yarn-client.jar hadoop-yarn-server-web-proxy-2.4.0.2.1.3.0-563.jar
hadoop-yarn-common-2.4.0.2.1.3.0-563.jar hadoop-yarn-server-web-proxy.jar
hadoop-yarn-common.jar lib
hadoop-yarn-server-applicationhistoryservice-2.4.0.2.1.3.0-563.jar sbin

I can see that instead of downloading hadoop-*-2.3.0-cdh5.1.0.jar files it has downloaded hadoop-*-2.4.0.2.1.3.0-563.jar files.

 

Please help me in understanding why is it downloading hadoop-*-2.4.0.2.1.3.0-563.jar files. What steps should I follow to download hadoop-2.3-cdh5.1.0 jar files.

 

Please help me in resolving this issue.

 

Thanks,

Kishor Baindoor

 

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Not able to install CDH earlier version (5.1.0) manually

New Contributor

This problem is solved. 

After deleting few config files, few old files in sources.list.d directory and few cache files, it got installed properly.

 

Thanks

Kishor

View solution in original post

2 REPLIES 2
Highlighted

Re: Not able to install CDH earlier version (5.1.0) manually

New Contributor

This problem is solved. 

After deleting few config files, few old files in sources.list.d directory and few cache files, it got installed properly.

 

Thanks

Kishor

View solution in original post

Re: Not able to install CDH earlier version (5.1.0) manually

Community Manager

Great to hear you solved the issue. Feel free to mark your last comment as the solution in case it can assist others in the future. 


Cy Jervis, Community Manager

Was your question answered? Make sure to mark the answer as the accepted solution.
If you find a reply useful, say thanks by clicking on the thumbs up button.

Learn more about the Cloudera Community:
Community Guidelines
How to use the forum